curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/accounts/<uuid>{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "business",
"status": "created",
"status_detail": {
"reason": "unverified",
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"access_level": "standard",
"business_profile": {
"name": "<string>",
"website": "<string>",
"legal_name": "<string>",
"description": "<string>",
"use_case": "<string>",
"tax_id": "<string>",
"phone": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"line2": "<string>",
"country": "<string>"
},
"industry": {
"mcc": "<string>",
"sector": "<string>",
"category": "<string>"
},
"support_channels": {
"email": "jsmith@example.com",
"phone": "<string>",
"url": "<string>"
}
},
"capabilities": {
"payment_types": {
"charges": {
"capability_status": "active"
},
"payouts": {
"capability_status": "active"
}
},
"customer_types": {
"individuals": {
"capability_status": "active"
},
"businesses": {
"capability_status": "active"
}
},
"consent_types": {
"signed_agreement": {
"capability_status": "active"
},
"internet": {
"capability_status": "active"
}
}
},
"settings": {
"charges": {
"max_amount": 123,
"monthly_amount": 123,
"daily_amount": 123,
"monthly_count": 123,
"funding_time": "immediate",
"linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payouts": {
"max_amount": 123,
"monthly_amount": 123,
"daily_amount": 123,
"monthly_count": 123,
"funding_time": "immediate",
"linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"terms_of_service": {
"accepted_date": "2023-11-07T05:31:56Z",
"agreement_url": "<string>",
"agreement_type": "embedded",
"accepted_ip": "<string>",
"accepted_user_agent": "<string>"
},
"metadata": {},
"external_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Retrieves the details of an account that has previously been created. Supply the unique account ID that was returned from your previous request, and Straddle will return the corresponding account information.
curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/accounts/<uuid>{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "business",
"status": "created",
"status_detail": {
"reason": "unverified",
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"access_level": "standard",
"business_profile": {
"name": "<string>",
"website": "<string>",
"legal_name": "<string>",
"description": "<string>",
"use_case": "<string>",
"tax_id": "<string>",
"phone": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"line2": "<string>",
"country": "<string>"
},
"industry": {
"mcc": "<string>",
"sector": "<string>",
"category": "<string>"
},
"support_channels": {
"email": "jsmith@example.com",
"phone": "<string>",
"url": "<string>"
}
},
"capabilities": {
"payment_types": {
"charges": {
"capability_status": "active"
},
"payouts": {
"capability_status": "active"
}
},
"customer_types": {
"individuals": {
"capability_status": "active"
},
"businesses": {
"capability_status": "active"
}
},
"consent_types": {
"signed_agreement": {
"capability_status": "active"
},
"internet": {
"capability_status": "active"
}
}
},
"settings": {
"charges": {
"max_amount": 123,
"monthly_amount": 123,
"daily_amount": 123,
"monthly_count": 123,
"funding_time": "immediate",
"linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payouts": {
"max_amount": 123,
"monthly_amount": 123,
"daily_amount": 123,
"monthly_count": 123,
"funding_time": "immediate",
"linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"terms_of_service": {
"accepted_date": "2023-11-07T05:31:56Z",
"agreement_url": "<string>",
"agreement_type": "embedded",
"accepted_ip": "<string>",
"accepted_user_agent": "<string>"
},
"metadata": {},
"external_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.straddle.com/llms.txt
Use this file to discover all available pages before exploring further.
Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
The unique identifier of the account to retrieve.
OK
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Was this page helpful?